<?php

namespace WilokeVisualCard\Shared;

class HtmlHelper
{
	public static function autoPrefix($item)
	{
		return strpos($item, WILOKE_VISUAL_CARD_ID) === false ? WILOKE_VISUAL_CARD_ID . '-' . $item : $item;
	}

	public static function renderItem(array $aItem, array $aSettings)
	{
		$link = !empty($aItem["btn_link"]) && !empty($aItem["btn_link"]["url"]) ? $aItem["btn_link"]["url"] : "";
		$target = !empty($aItem["link"]) && $aItem["link"]["is_external"] == "on" ? "_blank" : "";

		$aImage = $aItem["image"];
		?>
		<section class="<?php echo esc_attr(HtmlHelper::autoPrefix("card")); ?>">
			<div class="<?php echo esc_attr(HtmlHelper::autoPrefix("text-content")); ?>">
				<h3><?php echo esc_html($aItem["name"]); ?></h3>
				<p>
					<?php echo wp_kses_post($aItem["description"]); ?>
				</p>
				<?php
				if (!empty($link)) :
					?>
					<a href="<?php echo esc_url($link); ?>"
					   target="<?php echo esc_attr($target); ?>"><?php echo esc_html($aItem["btn_name"]); ?></a>
				<?php endif; ?>
			</div>

			<?php if (!empty($aImage["id"])) : ?>
				<div class="<?php echo esc_attr(HtmlHelper::autoPrefix("visual")); ?>">
					<?php echo wp_get_attachment_image($aImage["id"], "large"); ?>
				</div>
			<?php endif; ?>
		</section>
		<?php
	}
}
