<?php

namespace WilokeVisualCard\Widgets;


class RegistrationController
{
	public function __construct()
	{
		add_action('elementor/frontend/after_register_scripts', [$this, 'registerScripts']);
		add_action('elementor/frontend/after_register_styles', [$this, 'registerStyles']);
		add_action('elementor/widgets/register', [$this, 'registerWidgets']);
	}

	public function registerWidgets($oWidgetManager)
	{
		$oWidgetManager->register(new VisualCardWidget());
	}

	public function registerScripts()
	{
		wp_register_script(
			WILOKE_VISUAL_CARD_ID,
			WILOKE_VISUAL_CARD_URL . 'script.js',
			[],
			WILOKE_VISUAL_CARD_VERSION,
			true
		);
	}

	public function registerStyles()
	{
		wp_register_style(
			WILOKE_VISUAL_CARD_ID,
			WILOKE_VISUAL_CARD_URL . 'style.css',
			[],
			WILOKE_VISUAL_CARD_VERSION
		);
	}
}
